cascading.flow.hadoop.planner.rule.expression

## Class BalanceNonSafePipeSplitExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.hadoop.planner.rule.expression.BalanceNonSafePipeSplitExpression

    public class BalanceNonSafePipeSplitExpression
    extends RuleExpression

Captures a split against a non-safe Operation to prevent the operation from running in parallel mappers.

THis variant allows a non-safe operation to be followed by any Pipe. this assumes other rules enforce splitting to only be on Each or Pipe types.

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`BalanceNonSafePipeSplitExpression()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BalanceNonSafePipeSplitExpression

    public BalanceNonSafePipeSplitExpression()